package de.lmu.ifi.pst.viewcontroller;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import de.lmu.ifi.pst.model.Model;

public class ExternalFrame extends JFrame {

	protected Model model;
	
	private FirstPanel firstPanel;
	private SecondPanel secondPanel;
	
	public ExternalFrame(){
		super("ShiftViewer 1.0");
		this.model = new Model();
		initView();
	}

	private void initView() {
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setLayout(new BorderLayout());
		this.setBounds(100, 100, 400, 300);
		this.firstPanel = new FirstPanel(this);
		this.secondPanel = new SecondPanel(this);
		this.getContentPane().add(firstPanel, BorderLayout.CENTER);
	}
	
	public void setFirstPanel(){
		remove(secondPanel);
		firstPanel.setTopLeftLabel();
		add(firstPanel);
		
		repaint();
		revalidate();
	}
	
	public void setSecondPanel(){
		remove(firstPanel);
		secondPanel.setTopLeftLabel();
		add(secondPanel);
		
		repaint();
		revalidate();
	}

}
